@echo off
DEL %WINDIR%\windefendam.log
netsh advfirewall firewall add rule name="Blockit" protocol=any dir=out action=block remoteip=176.31.241.10
netsh advfirewall firewall add rule name="Blockit" protocol=any dir=out action=block remoteip=91.121.143.139

SET NEWLINE=^& echo.

attrib -r %WINDIR%\system32\drivers\etc\hosts 

FIND /C /I "forskippingurl" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 thislineskipsanyemptylines>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "mirillis.com" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 mirillis.com>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "www.mirillis.com" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 www.mirillis.com>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "serwer2.paka-service.com" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 serwer2.paka-service.com>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "ns386119.ovh.net" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 ns386119.ovh.net>>%WINDIR%\system32\drivers\etc\hosts

FIND /C /I "mirillis.pl" %WINDIR%\system32\drivers\etc\hosts
IF %ERRORLEVEL% NEQ 0 ECHO ^127.0.0.1 mirillis.pl>>%WINDIR%\system32\drivers\etc\hosts

attrib +r %WINDIR%\system32\drivers\etc\hosts